Incompatibility warning Rated 1 out of 5 stars

WARNING:
Addon old 2007 year version is not compatible with Thunderbird 3.x. And can screw up your Receive button.

Details:
https://bugzilla.mozilla.org/show_bug.cgi?id=540335

This review is for a previous version of the add-on (0.0.5.1).